
Smart Proxy - Bug #6377

Incorrect dhcp providers server virsh.rb loadSubnetData

06/25/2014 11:17 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee:    

Category: DHCP   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1117835 Red Hat JIRA:  

Pull request:    

Description

The commit fixes dhcp server virsh.rb provider. Upon loading the

contents of the libvirt network XML and parsing for DHCP reservations a

check is performed on the kind of records that are being loaded. The

dhcp_api.rb 'delete' helper tries to load network entries of the

'reservation' kind, the helper uses modules/dhcp/dhcp/subnet.rb to

validate on that and filter out entries.

In contrary to other providers (ms, isc) the loadSubnetData method of

virsh.rb was dealing out "Proxy::DHCP::Record" for any entry it was able

to discover, but should have been instantiating

"Proxy::DHCP::Reservation" to pass the validation.

This resulted in "ERROR -- : Record

x.x.x.x/xx:xx:xx:xx:xx:xx not found" as well as leaves in the libvirt

network XML. This prevented the creation of VMs with the same addresses,

since leftover DHCP entries conflicted with the new ones.

https://github.com/theforeman/smart-proxy/pull/164

Related issues:

Related to Smart Proxy - Bug #6718: Unused IP request with virsh errors with:... Rejected 07/22/2014

Associated revisions

Revision 1fb2109b - 07/04/2014 02:13 PM - Vincent Kramar 

fixes #6377 - incorrect dhcp providers server virsh.rb loadSubnetData

The commit fixes dhcp server virsh.rb provider. Upon loading the

contents of the libvirt network XML and parsing for DHCP reservations a

check is performed on the kind of records that are being loaded. The

dhcp_api.rb 'delete' helper tries to load network entries of the

'reservation' kind, the helper uses modules/dhcp/dhcp/subnet.rb to

validate on that and filter out entries.

In contrary to other providers (ms, isc) the loadSubnetData method of

virsh.rb was dealing out "Proxy::DHCP::Record" for any entry it was able

to discover, but should have been instantiating

"Proxy::DHCP::Reservation" to pass the validation.

This resulted in "ERROR -- : Record

x.x.x.x/xx:xx:xx:xx:xx:xx not found" as well as leaves in the libvirt

network XML. This prevented the creation of VMs with the same addresses,

since leftover DHCP entries conflicted with the new ones.

History

#1 - 07/02/2014 09:06 AM - Dominic Cleal

- Target version set to 1.8.1
https://github.com/theforeman/smart-proxy/pull/164


- translation missing: en.field_release set to 18

#2 - 07/04/2014 03:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 1fb2109b4adf617bcd24919463d8e665edee97e4.

#3 - 07/09/2014 09:28 AM - Bryan Kearney

- Bugzilla link set to 1117835

#4 - 07/22/2014 08:47 AM - Dominic Cleal

- translation missing: en.field_release changed from 18 to 10

#5 - 07/22/2014 08:48 AM - Dominic Cleal

- Related to Bug #6718: Unused IP request with virsh errors with: unable to retrive virsh info: Must define a name added
